<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suifmath.texi on 28 April 1999 -->

<TITLE>The SUIFMATH Library - Preface</TITLE>
<link href="suifmath_2.html" rel=Next>
<link href="suifmath_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the first, previous, <A HREF="suifmath_2.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
<P><HR><P>


<H1><A NAME="SEC1" HREF="suifmath_toc.html#TOC1">Preface</A></H1>
<P>
<A NAME="IDX1"></A>
<A NAME="IDX2"></A>
<A NAME="IDX3"></A>

</P>
<P>
The mathematics library of the SUIF compiler provides
common mathematical functions that are used by the SUIF compiler.
Currently the math library provides integer matrices and linear
inequalities. 

</P>

<UL>
<LI><A HREF="suifmath_2.html#SEC2">How to Use the SUIF Mathematics Library</A>
        Instructions on how to compile and link a program that uses the
        mathematics library.
<LI><A HREF="suifmath_3.html#SEC3">Matrix Library</A>: A matrix manipulation class
<LI><A HREF="suifmath_9.html#SEC9">Linear Inequality Library</A>: A linear inequality class with a solver
<LI><A HREF="suifmath_22.html#SEC26">Linear Algebra</A>: Support for linear algebra functions
<LI><A HREF="suifmath_15.html#SEC15">Library of Linear Inequalities with Names</A>
<LI><A HREF="suifmath_21.html#SEC25">Library of Linear Inequalities with Symbolic Coefficients</A>
<LI><A HREF="suifmath_36.html#SEC40">Function Index</A>: Index of functions, variables and types
<LI><A HREF="suifmath_37.html#SEC41">Concept Index</A>: Index of concepts.
</UL>

<P>
<EM>Due to interdependences between the suifmath and dependence class
structures, most of the implementation of the suifmath library was moved
to the dependence library in the current release.</EM>

</P>
<P><HR><P>
<p>Go to the first, previous, <A HREF="suifmath_2.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
</BODY>
</HTML>
